httpd-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Hu, Leigi (CDC/CCHIS/NCPHI) (CTR)" <d...@CDC.GOV>
Subject RE: [users@httpd] errors with installing Apache HTTP 2.0.61
Date Thu, 08 Nov 2007 16:40:23 GMT
Krist,

Thanks for your quick answer. I re-unpacked the Apache HTTP 2.0.61
software in my account without using 'sudo'. Then I tried 'configure'
and 'make' commands without using sudo. This time it seemed that I
successfully passed these two stages as I only found a (minor) warning
during 'make' stage as listed below:
Libtool: link: warning: 'version-info' is ignored for programs

Now should I use or not use sudo to install Apache?

Thanks,

Rick



-----Original Message-----
From: Krist van Besien [mailto:krist.vanbesien@gmail.com] 
Sent: Thursday, November 08, 2007 10:33 AM
To: users@httpd.apache.org
Subject: Re: [users@httpd] errors with installing Apache HTTP 2.0.61

On Nov 8, 2007 4:13 PM, Hu, Leigi (CDC/CCHIS/NCPHI) (CTR) <dxq6@cdc.gov>
wrote:
> Krist,
>
> (1) I use gcc compiler on the UNIX box.
> (2) I tried 'configure' without 'sudo' privileges and got 'Permission
> denied' error:
> ./configure: line 1571: config.log: Permission denied
> ./configure: line 1581: config.log: Permission denied
>
> These lines from file 'configure' are listed below for your
information:
> 1571: cat >config.log <<_ACEOF
>
> 1580: _ACEOF
> 1581: exec 5>>config.log
> 1582: {
>
> Thanks,

You don't have write rights in the apache source dir. Which is odd if
you downloaded and unpacked it yourself. Unless you used sudo for that
too...
Also, are you using the gcc that came with solaris (in /usr/sfw) or
one that was installed somewhere else?

I've compiled apache on solaris 10 quite a few times, using the gcc
that was installed in /usr/sfw

First I needed to fix some headers (this needs to be done as root)

    cd /usr/sfw/libexec/gcc/sparc-sun-solaris2.10/3.3.2/install-tools
    ./mkheaders

I only needed to do that once, after that I just downloaded the most
recent source and unpacked it.
(for this you don't need to be root)

unset LD_LIBRARY_PATH
unset OPENWIN_HOME   #just to make sure
export CC=/usr/sfw/bin/gcc
./configure  (add any options you want)

/usr/sfw/bin/gmake -j

and finally, as root:
/usr/sfw/bin/gmake install

Krist

 --
krist.vanbesien@gmail.com
krist@vanbesien.org
Bremgarten b. Bern, Switzerland
--
A: It reverses the normal flow of conversation.
Q: What's wrong with top-posting?
A: Top-posting.
Q: What's the biggest scourge on plain text email discussions?

---------------------------------------------------------------------
The official User-To-User support forum of the Apache HTTP Server
Project.
See <URL:http://httpd.apache.org/userslist.html> for more info.
To unsubscribe, e-mail: users-unsubscribe@httpd.apache.org
   "   from the digest: users-digest-unsubscribe@httpd.apache.org
For additional commands, e-mail: users-help@httpd.apache.org




---------------------------------------------------------------------
The official User-To-User support forum of the Apache HTTP Server Project.
See <URL:http://httpd.apache.org/userslist.html> for more info.
To unsubscribe, e-mail: users-unsubscribe@httpd.apache.org
   "   from the digest: users-digest-unsubscribe@httpd.apache.org
For additional commands, e-mail: users-help@httpd.apache.org


Mime
View raw message